FROM alpine

RUN wget -O wordpress.zip https://wordpress.org/latest.zip && \
  unzip wordpress.zip && rm wordpress.zip

COPY wp-config.php /wordpress

RUN addgroup -g 101 www-data && adduser -G www-data -D -H -u 100 www-data && \
  chown -R www-data: /wordpress

WORKDIR /wordpress

COPY config.sh /
RUN chmod 755 /config.sh

CMD ["/config.sh"]
